Management apiEndpointsConnections

Get connection

Returns the connection with the given ID.

GET/v1/connections/{id}
AuthorizationBearer <token>

OAuth2 authentication

In: header

Scope: workspace:admin, offline_access

Path Parameters

id*string
Match^(con_)?([cC][^\s-]{8,}|[a-z0-9]+)$

Response Body

application/json

application/json

application/json

curl -X GET "https://api.prisma.io/v1/connections/string"
{
  "data": {
    "id": "string",
    "type": "connection",
    "url": "http://example.com",
    "name": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "kind": "postgres",
    "endpoints": {
      "direct": {
        "host": "string",
        "port": 0
      },
      "pooled": {
        "host": "string",
        "port": 0
      },
      "accelerate": {
        "host": "string",
        "port": 0
      }
    },
    "directConnection": {
      "host": "string",
      "pass": "string",
      "user": "string"
    },
    "database": {
      "id": "string",
      "url": "http://example.com",
      "name": "string"
    }
  }
}